<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:background="@color/color_222222">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/gmarket_sans_bold"
            android:paddingHorizontal="26.7dp"
            android:paddingTop="26.7dp"
            android:text="음성메시지"
            android:textColor="@color/white"
            android:textSize="18.3sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:contentDescription="@null"
            android:paddingHorizontal="26.7dp"
            android:paddingTop="26.7dp"
            android:src="@drawable/ic_close_white"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <RelativeLayout
            android:id="@+id/rl_select_recipient"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="13.3dp"
            android:layout_marginTop="26.7dp"
            android:background="@drawable/bg_round_corner_6_7_339970ff"
            android:orientation="horizontal"
            android:padding="13.3dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/iv_close">

            <ImageView
                android:id="@+id/iv_profile"
                android:layout_width="46.7dp"
                android:layout_height="46.7dp"
                android:contentDescription="@null"
                android:src="@drawable/img_thumb_default" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="13.3dp"
                android:layout_toStartOf="@+id/iv_plus"
                android:layout_toEndOf="@+id/iv_profile"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/gmarket_sans_medium"
                    android:text="TO."
                    android:textColor="@color/color_eeeeee"
                    android:textSize="13.3sp" />

                <TextView
                    android:id="@+id/tv_nickname"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:fontFamily="@font/gmarket_sans_light"
                    android:text="받는 사람"
                    android:textColor="@color/color_bbbbbb"
                    android:textSize="16.7sp" />
            </LinearLayout>

            <ImageView
                android:id="@+id/iv_plus"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:contentDescription="@null"
                android:src="@drawable/btn_plus_round" />
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="81dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/rl_select_recipient">

            <TextView
                android:id="@+id/tv_timer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/gmarket_sans_light"
                android:text="00:00:00"
                android:textColor="@color/white"
                android:textSize="33.3sp" />

            <com.gauravk.audiovisualizer.visualizer.WaveVisualizer
                android:id="@+id/sound_visualizer"
                android:layout_width="match_parent"
                android:layout_height="120dp"
                android:layout_marginHorizontal="13.3dp"
                android:visibility="gone"
                app:avColor="@color/av_deep_orange"
                app:avDensity="0.8"
                app:avSpeed="normal"
                app:avType="fill" />

            <ImageView
                android:id="@+id/iv_record_start"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginVertical="52.3dp"
                android:contentDescription="@null"
                android:src="@drawable/ic_record" />

            <ImageView
                android:id="@+id/iv_record_stop"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginVertical="52.3dp"
                android:contentDescription="@null"
                android:src="@drawable/ic_record_stop"
                android:visibility="gone" />

            <RelativeLayout
                android:id="@+id/rl_record_play"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="gone">

                <ImageView
                    android:id="@+id/iv_record_play"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:layout_marginTop="90dp"
                    android:contentDescription="@null"
                    android:src="@drawable/ic_record_play" />

                <ImageView
                    android:id="@+id/iv_record_pause"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:layout_marginTop="90dp"
                    android:contentDescription="@null"
                    android:src="@drawable/ic_record_pause"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/tv_delete"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="60dp"
                    android:layout_toEndOf="@+id/iv_record_play"
                    android:fontFamily="@font/gmarket_sans_medium"
                    android:text="삭제"
                    android:textColor="@color/color_bbbbbb"
                    android:textSize="15.3sp" />

            </RelativeLayout>

            <LinearLayout
                android:id="@+id/ll_retry_or_send"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="13.3dp"
                android:layout_marginTop="26.7dp"
                android:layout_marginBottom="13.3dp"
                android:orientation="horizontal"
                android:visibility="gone">

                <TextView
                    android:id="@+id/tv_retry_record"
                    android:layout_width="0dp"
                    android:layout_height="50dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_round_corner_10_339970ff_9970ff"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:gravity="center"
                    android:text="다시 녹음"
                    android:textColor="@color/color_9970ff"
                    android:textSize="18.3sp" />

                <TextView
                    android:id="@+id/tv_send_message"
                    android:layout_width="0dp"
                    android:layout_height="50dp"
                    android:layout_marginStart="13.3dp"
                    android:layout_weight="2"
                    android:background="@drawable/bg_round_corner_10_9970ff"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:gravity="center"
                    android:text="메시지 보내기"
                    android:textColor="@color/white"
                    android:textSize="18.3sp" />

            </LinearLayout>
        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.core.widget.NestedScrollView>
